Back to YouTube
Apify·YouTube
List YouTube Comments
/streamers/youtube-comments-scraperasync$0.00225 / resultThis alternative YouTube Data API has no limits or quotas. Extract YouTube comments data from one or multiple YouTube videos: full comment text, posting date, author username, video title, videoId. Download YouTube comments in JSON, CSV, and Excel. Runs as an Apify actor (20–120 s); results are dataset rows.
Charged per returned row plus the flat fee.
Input
| Field | Type | Required | Description |
|---|---|---|---|
| startUrls | array | yes | Enter a link to a specific Youtube video YouTube video. You can also import a CSV file or Google Sheet with a list of URLs. (default []) |
| maxComments | integer | — | Limit the number of comments you want to scrape per video. (default 1) |
| sortCommentsBy | string (TOP_COMMENTS, NEWEST_FIRST) | — | Select Youtube sorting parameter for comments (default "NEWEST_FIRST") |
| oldestCommentDate | string | — | Only comments published after or on this date will be scraped. Alternatively, specify how old the scraped comments should be. Putting 1 day will get you only today's comments, 2 days - yesterday's and today's, and so on. Note, that if you select this, sorting parameter will be auto-reset to newest f |
Run it
curl -s https://sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"apify","endpoint":"/streamers/youtube-comments-scraper","input":{"startUrls":[{"url":"https://www.youtube.com/watch?v=xObhZ0Ga7EQ"}]}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.